<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Documento</title>
    <style>
        main {
            display: flex;
        }
        main.ok>div.box {
            border: 1px solid red;
            flex-grow: 1;
        }
        .box {
            position: relative;
        }
        .view {
            padding: 0px 5px;
        }
        .box input {
            width: 100%;
            padding: 5px 0px;
            border: 0px;
        }
        .row {
            display: flex;
            text-align: center;
        }
        .row .digit {
            flex-grow: 1;
            border: 1px solid silver;
            padding: 10px;
            width: 25%;
        }
        .row .digit:hover {
            background-color: #dedede;
            cursor: pointer;
        }
        .erase {
            padding: 5px;
            font-weight: bold;
            flex-grow: 1;
        }
    </style>
</head>
<body>
    <form>
        <main class="ok">
            <div class="box">
                <div class="view">
                    <input readonly data-maxlength="6" oninput="aggiornaColore()"/>
                </div>
                <div class="pad">
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this)">0</div>
                        <div class="digit" onclick="aggiungiCifra(this)">1</div>
                        <div class="digit" onclick="aggiungiCifra(this)">2</div>
                        <div class="digit" onclick="aggiungiCifra(this)">3</div>
                    </div>
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this)">4</div>
                        <div class="digit" onclick="aggiungiCifra(this)">5</div>
                        <div class="digit" onclick="aggiungiCifra(this)">6</div>
                        <div class="digit" onclick="aggiungiCifra(this)">7</div>
                    </div>
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this)">8</div>
                        <div class="digit" onclick="aggiungiCifra(this)">9</div>
                        <div class="digit" onclick="aggiungiCifra(this)">A</div>
                        <div class="digit" onclick="aggiungiCifra(this)">B</div>
                    </div>
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this)">C</div>
                        <div class="digit" onclick="aggiungiCifra(this)">D</div>
                        <div class="digit" onclick="aggiungiCifra(this)">E</div>
                        <div class="digit" onclick="aggiungiCifra(this)">F</div>
                    </div>
                    <div class="row">
                        <div class="erase" onclick="cancellaInput()">Cancella</div>
                    </div>
                </div>
            </div>
            <div class="box">
                <div class="view">
                    <input readonly data-maxlength="6"/>
                </div>
                <div class="pad">
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">0</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">1</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">2</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">3</div>
                    </div>
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">4</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">5</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">6</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">7</div>
                    </div>
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">8</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">9</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">A</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">B</div>
                    </div>
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">C</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">D</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">E</div>
                        <div class="digit" onclick="aggiungiCifra(this, document.getElementById('ciao-box'))">F</div>
                    </div>
                    <div class="row">
                        <div class="erase" onclick="cancellaInput()">Cancella</div>
                    </div>
                </div>
            </div>
            <div class="box">
                <div class="view">
                    <input readonly data-maxlength="6"/>
                </div>
                <div class="pad">
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this)">0</div>
                        <div class="digit" onclick="aggiungiCifra(this)">1</div>
                        <div class="digit" onclick="aggiungiCifra(this)">2</div>
                        <div class="digit" onclick="aggiungiCifra(this)">3</div>
                    </div>
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this)">4</div>
                        <div class="digit" onclick="aggiungiCifra(this)">5</div>
                        <div class="digit" onclick="aggiungiCifra(this)">6</div>
                        <div class="digit" onclick="aggiungiCifra(this)">7</div>
                    </div>
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this)">8</div>
                        <div class="digit" onclick="aggiungiCifra(this)">9</div>
                        <div class="digit" onclick="aggiungiCifra(this)">A</div>
                        <div class="digit" onclick="aggiungiCifra(this)">B</div>
                    </div>
                    <div class="row">
                        <div class="digit" onclick="aggiungiCifra(this)">C</div>
                        <div class="digit" onclick="aggiungiCifra(this)">D</div>
                        <div class="digit" onclick="aggiungiCifra(this)">E</div>
                        <div class="digit" onclick="aggiungiCifra(this)">F</div>
                    </div>
                    <div class="row">
                        <div class="erase" onclick="cancellaInput()">Cancella</div>
                    </div>
                </div>
            </div>
            <div id="ciao-box" style="width: 100px; border: 2px solid black">
                Ciao
            </div>
        </main>
    </form>


    <script>
function aggiungiCifra(elemento, ciaoBox) {
    const valore = elemento.textContent;
    const vista = elemento.closest('.box').querySelector('.view input');
    const maxLength = vista.getAttribute('data-maxlength');


    if (vista.value.length < maxLength) {
        vista.value += valore;
        aggiornaColore(ciaoBox);
    }
}


        function cancellaInput() {
            const viste = document.querySelectorAll('.view input');
            viste.forEach(input => input.value = '');
            aggiornaColore();
        }


        function aggiornaColore() {
            const inputPrimoDiv = document.querySelector('.box .view input');
            const coloreHex = inputPrimoDiv.value;
            const ciaoBox = document.getElementById('ciao-box');


                ciaoBox.style.backgroundColor = "#"+coloreHex;
        }
        function aggiornaColore(ciaoBox) {
    const inputSecondoDiv = document.querySelectorAll('.box')[1].querySelector('.view input');
    const coloreHex = inputSecondoDiv.value;


    if (coloreHex.length === 6) {
        ciaoBox.style.borderColor = `#${coloreHex}`;
    }
}
    </script>
</body>
</html>



